"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@material-ui/core");
var Delete_1 = __importDefault(require("@material-ui/icons/Delete"));
var React = __importStar(require("react"));
var DraftSwitch_1 = __importDefault(require("../DraftSwitch"));
var DuplicateButton_1 = __importDefault(require("../DuplicateButton"));
var I18nTools_1 = __importDefault(require("../I18nTools"));
var SelectParentButton_1 = __importDefault(require("../SelectParentButton"));
var core_2 = require("@react-page/core");
var Tools = function (_a) {
    var id = _a.id;
    var removeCell = core_2.useRemoveCell();
    return (React.createElement("div", { style: { display: 'flex', alignItems: 'center' } },
        React.createElement(I18nTools_1.default, { id: id }),
        React.createElement(DraftSwitch_1.default, { id: id }),
        React.createElement(DuplicateButton_1.default, { id: id }),
        React.createElement(SelectParentButton_1.default, { id: id }),
        React.createElement(core_1.Tooltip, { title: "Remove Plugin" },
            React.createElement(core_1.IconButton, { onClick: function () { return removeCell(id); }, "aria-label": "delete", color: "secondary" },
                React.createElement(Delete_1.default, null)))));
};
exports.default = React.memo(Tools);
//# sourceMappingURL=Tools.js.map