"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var Fab_1 = __importDefault(require("@material-ui/core/Fab"));
var core_1 = require("@material-ui/core");
var DisplayModeToggle = function (_a) {
    var description = _a.description, icon = _a.icon, onClick = _a.onClick, active = _a.active, disabled = _a.disabled;
    var theme = core_1.useTheme();
    var isLarge = core_1.useMediaQuery(theme.breakpoints.up('sm'));
    return (React.createElement("div", { className: "ory-controls-mode-toggle-button" },
        React.createElement("div", { className: "ory-controls-mode-toggle-button-inner" },
            React.createElement(Fab_1.default, { color: active ? 'secondary' : 'default', size: isLarge ? 'large' : 'small', onClick: onClick, disabled: disabled }, icon)),
        React.createElement("div", { className: "ory-controls-mode-toggle-button-description" }, description)));
};
exports.default = DisplayModeToggle;
//# sourceMappingURL=index.js.map