"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var SettingsOverscan_1 = __importDefault(require("@material-ui/icons/SettingsOverscan"));
var core_1 = require("@react-page/core");
var reselect_1 = require("reselect");
var index_1 = __importDefault(require("../Button/index"));
var Inner = function (props) { return (React.createElement(index_1.default, { icon: React.createElement(SettingsOverscan_1.default, null), description: props.label, active: props.isResizeMode, onClick: props.resizeMode })); };
var mapStateToProps = reselect_1.createStructuredSelector({
    isResizeMode: core_1.Selectors.Display.isResizeMode,
});
var mapDispatchToProps = { resizeMode: core_1.Actions.Display.resizeMode };
exports.default = core_1.connect(mapStateToProps, mapDispatchToProps)(Inner);
//# sourceMappingURL=index.js.map