"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var Avatar_1 = __importDefault(require("@material-ui/core/Avatar"));
var ListItem_1 = __importDefault(require("@material-ui/core/ListItem"));
var ListItemText_1 = __importDefault(require("@material-ui/core/ListItemText"));
var core_1 = require("@react-page/core");
var React = __importStar(require("react"));
var index_1 = __importDefault(require("../Draggable/index"));
var Item = function (_a) {
    var plugin = _a.plugin, insert = _a.insert, translations = _a.translations;
    if (!plugin.IconComponent && !plugin.text) {
        return null;
    }
    var insertAtEnd = core_1.useInsertCellAtTheEnd();
    var Draggable = index_1.default(plugin.name);
    return (React.createElement(Draggable, { insert: insert },
        React.createElement(ListItem_1.default, { title: "Click to add or drag and drop it somwhere on your page!", className: "ory-plugin-drawer-item", onClick: function () { return insertAtEnd(insert); } },
            React.createElement(Avatar_1.default, { children: plugin.IconComponent || plugin.text[0], style: {
                    marginRight: 16,
                } }),
            React.createElement(ListItemText_1.default, { primary: plugin.text, secondary: plugin.description }))));
};
exports.default = Item;
//# sourceMappingURL=index.js.map